
CXXFLAGS += -g -O -MMD -Wall

all: err.o  indent.o location.o \
     lexan.o  hub.o structural.o behavioral.o \
     edif_parser.o edif_import.o lexan_edif.o edif_err.o \
     trav.o dbg_export.o \
     bench_parser.o bench_import.o lexan_bench.o \

clean:
	- rm *.o
	- rm *.d
	- rm *.exe
	- rm *.$$$$$$
	- rm *~
	- $(MAKE) -C apps clean

depend:
	mv Makefile Makefile.bak
	sed -n 1,/[gG]ENERATED/p Makefile.bak > Makefile
	cat *.d >> Makefile
 
depclean:
	mv Makefile Makefile.bak
	sed -n 1,/[gG]ENERATED/p Makefile.bak > Makefile

unix: 
	chsuff .cc *.cpp apps/*.cpp
	unixize *.cc

dos:
	dosize *.cc
	chsuff .cpp *.cc apps/*.cc

# ----- GENERATED ----------------------------
behavioral.o: behavioral.cc behavioral.h hub.h named.h config.h attr.h \
  entity.h arch.h entity_fw.h
bench_import.o: bench_import.cc bench_import.h hub.h named.h config.h \
  attr.h entity.h arch.h entity_fw.h structural.h bench_parser.h \
  lexan_bench.h lexan.h err.h err.tcc import.h location.h edif_err.h \
  behavioral.h
bench_parser.o: bench_parser.cc bench_parser.h lexan_bench.h lexan.h \
  err.h err.tcc import.h hub.h named.h config.h attr.h entity.h arch.h \
  entity_fw.h location.h
dbg_export.o: dbg_export.cc dbg_export.h trav.h hub.h named.h config.h \
  attr.h entity.h arch.h entity_fw.h structural.h export.h indent.h \
  location.h err.h err.tcc behavioral.h
edif_err.o: edif_err.cc edif_err.h err.h err.tcc named.h config.h
edif_import.o: edif_import.cc edif_import.h edif_parser.h lexan_edif.h \
  lexan.h err.h err.tcc hub.h named.h config.h attr.h entity.h arch.h \
  entity_fw.h structural.h import.h location.h edif_err.h
edif_parser.o: edif_parser.cc edif_parser.h lexan_edif.h lexan.h err.h \
  err.tcc config.h
err.o: err.cc config.h err.h err.tcc
hub.o: hub.cc config.h hub.h named.h attr.h entity.h arch.h entity_fw.h
indent.o: indent.cc indent.h
lexan_bench.o: lexan_bench.cc lexan_bench.h lexan.h err.h err.tcc \
  config.h
lexan.o: lexan.cc lexan.h err.h err.tcc config.h
lexan_edif.o: lexan_edif.cc lexan_edif.h lexan.h err.h err.tcc config.h
location.o: location.cc location.h hub.h named.h config.h attr.h entity.h \
  arch.h entity_fw.h err.h err.tcc
structural.o: structural.cc structural.h hub.h named.h config.h attr.h \
  entity.h arch.h entity_fw.h
trav.o: trav.cc trav.h hub.h named.h config.h attr.h entity.h arch.h \
  entity_fw.h structural.h export.h indent.h location.h err.h err.tcc
vhdl_export.o: vhdl_export.cc vhdl_export.h trav.h hub.h named.h config.h \
  attr.h entity.h arch.h entity_fw.h structural.h export.h indent.h \
  location.h err.h err.tcc
